# Created by pyp2rpm-3.3.2
%global pypi_name zope-exceptions
%global srcname zope.exceptions

# circular dep with zope.testrunner
%bcond_with check

%bcond_without docs

Name:           python-%{pypi_name}
Version:        5.0.1
Release:        %mkrel 1
Summary:        Zope Exceptions
Group:          Development/Python
License:        ZPL 2.1
URL:            https://github.com/zopefoundation/zope.exceptions
Source0:        %{pypi_source}
BuildArch:      noarch
BuildRequires:  pyproject-rpm-macros
BuildRequires:  python3-devel

%description
This package contains exception exceptions and implementations which are so
general purpose that they don't belong in Zope application-specific packages.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}
%{?python_provide:%python_provide python3-%{srcname}}

%description -n python3-%{pypi_name}
This package contains exception exceptions and implementations which are so
general purpose that they don't belong in Zope application-specific packages.

%prep
%autosetup -n zope.exceptions-%{version}

%generate_buildrequires
%pyproject_buildrequires %{?with_docs:-x docs} %{?with_check:-x test}

%build
%pyproject_wheel

%if %{with docs}
# generate html docs
PYTHONPATH=${PWD} sphinx-build docs html
# remove the sphinx-build leftovers
rm -rf html/.{doctrees,buildinfo}
%endif

%install
%pyproject_install
%pyproject_save_files zope

# we don't need these
find %{buildroot} -name "*.pth" -delete

%if %{with check}
%check
%pytest
%endif

%files -n python3-%{pypi_name} -f %{pyproject_files}
%license LICENSE.txt
%doc README.rst
%if %{with docs}
%doc html
%endif
%exclude %{python3_sitelib}/zope/exceptions/tests/


%changelog
* Wed Dec 20 2023 wally <wally> 5.0.1-1.mga10
+ Revision: 2020457
- new version 5.0.1
- use pyproject rpm macros

* Tue Mar 29 2022 umeabot <umeabot> 4.3-6.mga9
+ Revision: 1832700
- Mageia 9 Mass Rebuild

* Thu Feb 17 2022 tv <tv> 4.3-5.mga9
+ Revision: 1778937
- Fix filelist for python-3.10
- Rebuild for python-3.10

* Sat Jun 26 2021 wally <wally> 4.3-4.mga9
+ Revision: 1732499
- Rebuild for python 3.9

* Sun Feb 16 2020 umeabot <umeabot> 4.3-3.mga8
+ Revision: 1534628
- Mageia 8 Mass Rebuild

* Sat Oct 05 2019 guillomovitch <guillomovitch> 4.3-2.mga8
+ Revision: 1449620
- rebuild for python 3.8

* Sun Aug 25 2019 wally <wally> 4.3-1.mga8
+ Revision: 1432230
- imported package python-zope-exceptions

